ECONETUP(8)

NAME
/sbin/econetup - Econet initialisation program

SYNOPSIS
/sbin/econetup [ small_buffer_count, large_buffer_count ]

DESCRIPTION

The Econet system is initialised, usually from /etc/rc.net, by calling /sbin/econetup. The parameters are the number of small (200 byte) and large (1280 byte) reception buffers which are allocated. If no parameters are given, or zero is given, the defaults of 20 and 5 respectively are used. Econetup simply calls the econet device ioctl() number ECOINITIALISE (see econet.h) with the buffer counts.

DIAGNOSTICS

Econet: init stn %d.%d, %d srxb, %d lrxb
Econet: init stn 45.152, 20 srxb, 5 lrxb (example).
This is printed by econetup, and is expected when going multi-user. stn is <net number>.<station number>, srxb/lrxb are small/large reception buffers allocated. For diagnostics indicating error conditions, see eco(4).

SEE ALSO
eco(4) Acorn documentation: Econet Installation Guide, Econet Advanced User Guide et al.